Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1821305

Summary: Review Request: zgrab2 - Application Layer Scanner
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mattia.verga, package-review, zebob.m
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-11 07:47:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1819317    
Bug Blocks: 201449, 563471    

Description Fabian Affolter 2020-04-06 14:22:40 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/zgrab2.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/zgrab2-0.1.5-1.fc31.src.rpm

Project URL: https://github.com/zmap/zgrab2

Description:
Go Application Layer Scanner.

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint zgrab2-0.1.5-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint zgrab2-0.1.5-1.fc31.x86_64.rpm 
zgrab2.x86_64: W: no-manual-page-for-binary http
zgrab2.x86_64: W: no-manual-page-for-binary zgrab2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-19 18:56:47 UTC
 - Bump to 0.1.7

 - License seems co be ISC and ASL 2:0:

License:        ISC and ASL 2.0

 - There's an API mismatch:

# github.com/zmap/zgrab2
_build/src/github.com/zmap/zgrab2/utility.go:52:39: parser.ParseCommandLine undefined (type *flags.Parser has no field or method ParseCommandLine)
/usr/lib/golang/pkg/tool/linux_amd64/buildid -w $WORK/b168/_pkg_.a # internal


Seems to be linked to zflags. 1.4.0-beta.1 has ParseCommandLine.



Zcrypto needs updating too:

# github.com/zmap/zgrab2/modules/http
_build/src/github.com/zmap/zgrab2/modules/http/scanner.go:229:31: undefined: "github.com/zmap/zcrypto/tls".SigAndHash


After all this is updated, it works:

 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved. Please fix the License before import.

Comment 2 Gwyn Ciesla 2020-06-22 20:42:20 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/zgrab2

Comment 3 Mattia Verga 2021-07-26 13:21:04 UTC
Package never imported, Fabian are you still interested in finalizing this?

Comment 4 Mattia Verga 2021-10-11 07:47:55 UTC
Closing as DEADREVIEW
Filed https://pagure.io/releng/issue/10332